//
//  M3XNote+CoreDataClass.h
//  microMemex
//
//  Created by narita on 2017/05/11.
//  Copyright © 2017年 narita. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

NS_ASSUME_NONNULL_BEGIN

@interface M3XNote : NSManagedObject

#pragma mark - class methods

// ペーストボード用のUTI
+ (NSString*) pasteBoardRowsType;

#pragma mark - init methods

#pragma mark - dealloc

#pragma mark - NSCopying, hash, isEqual:

#pragma mark - NSCoding methods

- (void) wreiteToPasteboard:(NSPasteboard*)pasteboard;

+ (instancetype) readFromPasteboard:(NSPasteboard*)pasteboard 
             inManagedObjectContext:(NSManagedObjectContext *)context;

#pragma mark - restorableState methods

#pragma mark - life cycle methods

#pragma mark - action methods

#pragma mark - event handling methods

#pragma mark - drawing methods

#pragma mark - delegate/datasource methods

#pragma mark - accessor methods (in pairs)

#pragma mark - Utility methods

- (M3XNote*) noteFromIndexPath:(NSIndexPath*)inIndexPath;

@end

NS_ASSUME_NONNULL_END

#import "M3XNote+CoreDataProperties.h"
