//
//  M3XNote+CoreDataProperties.h
//  microMemex
//
//  Created by narita on 2017/05/11.
//  Copyright © 2017年 narita. All rights reserved.
//

#import "M3XNote+CoreDataClass.h"


NS_ASSUME_NONNULL_BEGIN

@interface M3XNote (CoreDataProperties)

#pragma mark - class methods

+ (NSFetchRequest<M3XNote *> *)fetchRequest;
+ (NSFetchRequest<M3XNote *> *)rootFetchRequest;

#pragma mark - init methods

#pragma mark - dealloc

#pragma mark - NSCopying, hash, isEqual:

#pragma mark - NSCoding methods

#pragma mark - restorableState methods

#pragma mark - life cycle methods

#pragma mark - action methods

#pragma mark - event handling methods

#pragma mark - drawing methods

#pragma mark - delegate/datasource methods

#pragma mark - accessor methods (in pairs)

@property (nullable, nonatomic, retain) NSData *memo;
@property (nullable, nonatomic, retain) NSSet<M3XNote *> *links;
@property (nonatomic)                   BOOL   isHome;

@property (nonatomic, readonly)         NSString* titleString;

@property (nonatomic, readonly)         NSArray<M3XNote*>* sortedLinks;

#pragma mark - Utility methods

@end

@interface M3XNote (CoreDataGeneratedAccessors)

- (void)addLinksObject:(M3XNote *)value;
- (void)removeLinksObject:(M3XNote *)value;
- (void)addLinks:(NSSet<M3XNote *> *)values;
- (void)removeLinks:(NSSet<M3XNote *> *)values;

@end

NS_ASSUME_NONNULL_END
